%define upstream_name    Dist-Zilla-Plugin-VersionFromMainModule
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Set the distribution version from your main module's $VERSION
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This plugin sets the distribution version from the '$VERSION' found in the
distribution's main module, as defined by the Dist::Zilla manpage.

This plugin is useful if you want to set the '$VERSION' in your module(s)
manually or with some sort of post-release "increment the '$VERSION'"
plugin, rather than letting dzil add the '$VERSION' based on a setting in
the _dist.ini_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc INSTALL LICENSE Changes META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-4.mga9
+ Revision: 1809138
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-3.mga8
+ Revision: 1504242
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-2.mga7
+ Revision: 1283359
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 0.40.0-1.mga7
+ Revision: 1216815
- Update to version 0.04

* Tue Jan 09 2018 shlomif <shlomif> 0.30.0-1.mga7
+ Revision: 1191832
- imported package perl-Dist-Zilla-Plugin-VersionFromMainModule


* Tue Jan 09 2018 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
